/***********************************************************
 * $Id$
 *
 * FancyLibs GPSD Client
 *
 * Copyright (C) 2014 ITEG IT-Engineers GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ************************************************************/


#ifndef FANCYGPSDCLIENT_H
#define FANCYGPSDCLIENT_H

#define FANCYGPSDCLIENT_ABI 1

#ifdef WIN32
# ifdef __GNUC__
#  ifdef BUILD_fancygpsdclient_DLL
#   define FANCYGPSDCLIENT_API __attribute__((dllexport))
#  else
#   define FANCYGPSDCLIENT_API __attribute__((dllimport))
#  endif
# else
#  ifdef BUILD_fancygpsdclient_DLL
#   define FANCYGPSDCLIENT_API __declspec(dllexport)
#  else
#   define FANCYGPSDCLIENT_API __declspec(dllimport)
#  endif
# endif
#else
# ifdef __GNUC__
#  define FANCYGPSDCLIENT_INTERNAL_API __attribute__((visibility("hidden")))
# endif
#endif

#ifndef FANCYGPSDCLIENT_INTERNAL_API
#define FANCYGPSDCLIENT_INTERNAL_API
#endif

#ifndef FANCYGPSDCLIENT_API
#define FANCYGPSDCLIENT_API
#endif

#endif // ! FANCYGPSDCLIENT_H
