/*
 * FANCYGPSDCLIENTCALLBACK.h
 *
 *  Created on: 12.02.2014
 *      Author: stephan
 */

#ifndef FANCYGPSDCLIENTCALLBACK_H_
#define FANCYGPSDCLIENTCALLBACK_H_

#include <fancyobject.h>
#include <fancygpsdclient.h>

namespace Fancy {
namespace GpsdClient {

class Tpv;
class Sky;

class FANCYGPSDCLIENT_API Callback : virtual public Fancy::Object {
public:

	typedef Fancy::ObjPtr<Callback> ptr_t;

	virtual void onGPSDeviceConnect() = 0;
	virtual void onGPSDeviceLost() = 0;
	virtual void onTPVchange(const Fancy::ObjPtr<Tpv> &tpv) = 0;
	virtual void onSKYchange(const Fancy::ObjPtr<Sky> &sky) = 0;

protected:
	Callback();
	virtual ~Callback();

};

}}

#endif
